Codevisor Docs
Api reference

POST Plugins Link

POST/v1/plugins/link

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/plugins/link" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{  "enabled": true,  "canRestore": true,  "id": "string",  "name": "string",  "version": "string",  "description": "string",  "iconPath": "string",  "panes": [    {      "type": "string",      "title": "string",      "path": "string",      "iconPath": "string"    }  ],  "tools": [    {      "name": "string",      "description": "string",      "path": "string",      "inputSchema": null    }  ],  "source": "managed",  "path": "string",  "state": "stopped",  "openPaneCount": 0}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}